# Interface IEmbeddingsHandler<T>

interface IEmbeddingsHandler<T> {
generateEmbeddings: ((text?) => Promise<T>);
storeEmbeddings: ((embeddings, convoId) => Promise<void>);
}

#### Type Parameters

- #### T extends object

- Defined in src/models/convo/ConvoLoader.ts:59

#####
Index

### Properties

generateEmbeddings
storeEmbeddings

## Properties

### generateEmbeddings

generateEmbeddings: ((text?) => Promise<T>)

#### Type declaration

- - (text?): Promise<T>

  - #### Parameters

    - ##### `Optional` text: string

    #### Returns Promise<T>

- Defined in src/models/convo/ConvoLoader.ts:60

### storeEmbeddings

storeEmbeddings: ((embeddings, convoId) => Promise<void>)

#### Type declaration

- - (embeddings, convoId): Promise<void>

  - #### Parameters

    - ##### embeddings: any

    - ##### convoId: string

    #### Returns Promise<void>

- Defined in src/models/convo/ConvoLoader.ts:61

Generated using TypeDoc